Bug 175655 - Evince Help->Contents produces no visible effect if yelp is not installed
Evince Help->Contents produces no visible effect if yelp is not installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 13:03 EST by Tethys
Modified: 2009-07-14 13:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:07:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2005-12-13 13:03:59 EST
Description of problem:
Help->Contents apparently does nothing

Version-Release number of selected component (if applicable):
evince-0.4.0-1.2

How reproducible:
Every time

Steps to Reproduce:
1. Start evince
2. Help->Contents
  
Actual results:
Nothing happens...

Expected results:
A help window

Additional info:
I suspect this is a result of me not having some GNOMEish component installed.
Fair enough, if I don't have it installed, then I can't expect help to work.
But a dialog box telling me that it can't display help because XYZ couldn't
be found would be a step in the right direction.

The following warning appears on stderr when selecting the help:

** (evince:22187): WARNING **: There was an error launching the default action
command associated with this location.
Comment 1 Kristian Høgsberg 2006-09-22 17:09:14 EDT
Works for me.  You need to have 'yelp' installed, it is installed by default. 
If you actively uninstall yelp, help wont work.
Comment 2 Tethys 2006-09-22 17:22:55 EDT
Firstly, it blatantly *is* a bug. If it can't launch the default application
for displaying help, then it should at least inform the user of the error
(most people won't be looking at the console, and hence won't spot the message).

Secondly, I didn't actively uninstall yelp. It's NOT installed by default,
and so has never been present on my machine. How am I meant to guess that
it's required? I'd never even heard of it before today. At the very least,
something saying "please install yelp" would be nice...
Comment 3 Matthias Clasen 2006-09-26 01:33:22 EDT
yelp is not only installed by default, it is a mandatory part of the
gnome-desktop group in fc6 comps.

And if I manually disable yelp (e.g. by making it non-executable or renaming it),
I do get an error dialog pointing out that there was a problem starting the 
help browser.
Comment 4 Tethys 2006-09-26 03:50:46 EDT
No, yelp is not installed by default. Perhaps it is if you selected a
desktop install, but I didn't. I selected a minimal core install only,
and then added in the extra components I wanted. That seems to me to
be a perfectly valid (and supported) option, and is very different
from actively unistalling yelp. Unsurprisingly, that means I don't
have the gnome-desktop group installed, so yelp's presence in that
is irrelevant here.
Comment 5 Matthias Clasen 2006-09-26 13:54:19 EDT
The next question is, why don't you get the dialog I get when I 
move /usr/bin/ghelp away. What desktop packages do you have installed in your
"minimal" install ?
Comment 6 Christian Iseli 2007-01-22 06:03:45 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 Tethys 2007-01-22 15:25:13 EST
Nope, still a problem. If yelp is not available, evince is still completely
silent to the average desktop user. The message still appears on the console,
but no dialog box is shown.

leto:~% rpm -q evince
evince-0.6.0-6.fc6

Updating version to fc6
Comment 8 petrosyan 2008-03-13 11:23:44 EDT
This bug is still present in Fedora 8.

evince-2.20.2-1.fc8

When choosing "Help/Contents" without yelp package being installed it prints:
** (evince:4508): WARNING **: Failed to execute child process "gnome-help" (No
such file or directory)

in the terminal, but gives no visual warning.
Comment 9 Bug Zapper 2008-11-26 01:54:06 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Tethys 2008-12-14 13:55:27 EST
Still present in F9

evince-2.22.2-1.fc9.x86_64
Comment 11 Bug Zapper 2009-06-09 18:05:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 13:07:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.